View Issue Details

IDProjectCategoryView StatusLast Update
0002606Slicer4Module Annotationspublic2017-09-27 12:31
ReporterfinetjulAssigned Tonicole 
PrioritylowSeveritytweakReproducibilityN/A
Status assignedResolutionopen 
Product VersionSlicer 4.1.1 
Target VersionbacklogFixed in Version 
Summary0002606: Design comments/issues on Annotation nodes
Description

I'm working with annotation nodes (as subclasses) and as I go through the code and usage, here is a place-holder for my questions/suggestions.

I've no target in mind.

Additional Information

a) Why PrintAnnotationInfo() and no PrintSelf() ?
It is not VTK compliant: http://www.cmake.org/Wiki/VTK_Coding_Standards
There are even some tests in VTK (tcl based) that ensure that a PrintSelf
exists in each vtkObject subclass.

b) vtkMRMLAnnotationControlPointsNode::WriteCLI
It doesn't seem to be used anywhere in Slicer. Is it obsolete ?
Should it be removed from code? (as well as in vtkMRMLDisplayableNode)

c) vtkMRMLAnnotationNode::CreatePolyData() is not virtual
However it is overloaded in subclassess (e.g. vtkMRMLAnnotationControlPointsNode)

d) vtkMRMLAnnotationNode::Initialize() disables modified event unnecessarily
The node is not yet added into the scene, so preventing events from being
fired is useless.
(I have some local work (few month old) that attempts to remove them)

e) headers (with copyright and license) are missing from most annotation nodes

f) Are Backups still in use ?
It is not "MRML" style. It should either be extended to all MRML nodes or
not be in use at all. I personally think it is not the role of the node to
keep a copy of itself, but more the role of the application (eventually the
logic).
0002608 could be a way to move the "backup" mechanism to "Copy"

g) Having an icon per node type is great
But it should be a MRML wide feature. It should probably be done in
qMRMLSceneModel. E.g. while you register a node to the scene, you register
an icon into a static qMRMLSceneModel.

h) Expose qMRMLSceneAnnotationModel for extensions/modules access
Some modules might want to reuse the model.

  • remove Qt/GUI dependency from Logic CMakeLists

i) Support writing ROI nodes with no text display node (see 0002620)
It could be a bit more robust.

j) Move vtkMRMLAnnotation*Node::Initialize() into vtkMRMLAnnotationLogic ?
Initialize() is not standard in MRML. Either all the nodes use it, or none of them.
Generally, MRML nodes don't create other nodes (with the exception of the CreateXXXNode methods which solely create a node , they don't add them into scene nor observe them automatically))
Maybe some part could be moved into vtkMRMLAnnotationLogic or in CreateXXXNode ?

k) Add context menu entry in annotation tree view to create an annotation
On right click, it would be handy to have a menu that allows the user to create(place) a new annotation in the clicked hierarchy.
Some kind of a shortcut to the "place" toolbar

l) Make scene annotation model columns customizable
Following the other qMRMLSceneXXXModels style, each column can be moved.
If -1, the column gets hidden.

m) Export MRML displayable managers
Modules who want to implement their own annotation displayable manager should have access to the Annotation displayable manager.

n) vtkMRMLAnnotationNode::Initialize(vtkMRMLScene) fails if scene has not added prior
vtkMRMLAnnotationNode::Initialize() calls CreateAnnotationTextDisplayNode() which returns because no scene is set.
Maybe Initialize() should be split and add a utility function that creates all the display nodes:
void CreateAnnotationDisplayNodes(vtkMRMLScene
scene){
vtkMRMLDisplayNode* displayNode = this->CreateXXXDisplayNode();
scene->AddNode(displayNode);
this->AddAndObserveDisplayNodeID(displayNode->GetID());
this->Superclass::CreateAnnotationDisplayNodes(scene);
}
-> CreateXXX() methods should return a node that is not observed yet: https://github.com/Slicer/Slicer/blob/master/Libs/MRML/Core/Documentation/MRMLCore.dox

o) should vtkMRMLAnnotationDisplayNode be visible by default?
For the same reason vtkMRMLDisplayNode and vtkMRMLAnnotationNode are visible by default,
it should be the same for vtkMRMLAnnotationDisplayNode. No ?
vtkMRMLAnnotationNode::Visible could be renamed into Visibility to be consistent with vtkMRMLDisplayNode.

p) qSlicerMouseModeToolBar should extract name from XML tag and not by a custom node class name method.
When overloading annotations, the class name might not follow the format vtkMRMLAnnotationXYZNode

q) Add option to draw annotations on top of existing objects in scene
Sometimes you might want to have the annotations "always on top" and not be obfuscated by the volumes/models. I believe it could be fixed by either disabling depth test or by rendering the widgets in a separate layer.

r) Consolidate Click Counter with the seed widget vector in the annotations manager?
Isn't the click counter keeping track of the number of seeds ? If it is the same, the information is probably redundant.

TagsNo tags attached.

Relationships

related to 0002608 assignedalexy Extend vtkMRMLNode::Copy behavior 
related to 0002620 closedfinetjul Volume rendering module creates invalid annotation ROI 
related to 0002701 closednicole Visibility of Annotation node programmatically added can NOT be toggled 

Activities

finetjul

finetjul

2012-10-08 14:23

administrator   ~0006439

Last edited: 2012-10-08 14:24

h) is fixed in r21135

nicole

nicole

2013-02-15 05:52

administrator   ~0007939

Ensure that once bug 2955 is resolved that Markup nodes can be passed back from CLI's

nicole

nicole

2013-07-09 09:46

administrator   ~0008966

Comments with the assumption that these issues will mostly be fixed in the Markups module:

a) initial design choice, fixed in Markups

b) WriteCLI is used in Base/QT/CLI/vtkSlicerCLIModuleLogic.cxx to allow the command line parameter points to be written without having to compile against the Annotations or Markups modules.

c) can be made virtual in Annotations, that was code written before I took it over.

d) I think without the disabling of modified events, Initialize wasn't working properly. Did you ever get it working.

e) oops! that can be added to the Annotation nodes

f) backups were a local undo/redo I think, but it would take a bit of careful excavation to extract them and make sure that MRML level undo/redo is supported via saving state for undo calls and are actually working properly. I'd want to defer this to Markups, which don't have the backups integrated.

g) no arguments against having an icon defined at the vtkMRMLNode level, add a feature request for 4.4?

h) noted as fixed

i) read/write ROI nodes is fragile in general, and could use a series of bug reports assigned to Alex.

j) Initialize: fixed in Markups, would rather not redo it in Annotations.

k) Have a right click context menu in Markups, put in a feature request for add fiducial above below selected row.

l) column customisation: defer to Markups

m) I think exporting the MRMLDM is done?

n) Initialize, see comments on j)

o) reworked the annotations visibility already

p) Mouse mode tool bar: Fixed in Markups to be very general

q) had the "draw on top" request come up at Project Week MIT 2013, defer to 4.4

r) click counter redesign is a good idea, Markups used the same set up as Annotations, will redo it for 4.4

jcfr

jcfr

2013-08-22 17:41

administrator   ~0009558

See r22317 to r22323

Links:
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22317
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22318
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22319
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22320
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22321
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22322
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22323

lassoan

lassoan

2017-09-27 12:00

developer   ~0015172

We are moving towards migrating to Markups. Most likely annotations will be deprecated at some point, so it is not worth investing too much time into cleaning it up.

Related Changesets

Slicer: 1683-launcher-with-output 02e92b72

2012-10-14 13:11:05

finetjul

Details Diff
ENH: Expose Annotations displayable managers to other modules

By moving the displayable managers into their own library,
it is then possible for modules to use and link to it.
The Annotations VTKWidgets had to be moved as well.

Issue 0002606

Conflicts:
Modules/Loadable/Annotations/CMakeLists.txt

git-svn-id: http://svn.slicer.org/Slicer4/trunk@21181 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/Annotations/CMakeLists.txt Diff File
add - Modules/Loadable/Annotations/MRMLDisplayableManager/CMakeLists.txt Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationAngleDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationBidimensionalDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationBidimensionalDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationClickCounter.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationClickCounter.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationDisplayableManagerHelper.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationDisplayableManagerHelper.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationFiducialDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationFiducialDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationROIDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationROIDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationRulerDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationRulerDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationSplineDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationStickyDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationTextDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDisplayableManager/vtkMRMLAnnotationTextDisplayableManager.h Diff File
mod - Modules/Loadable/Annotations/Testing/Cxx/vtkMRMLAnnotationDisplayableManagerTest1.cxx Diff File
mod - Modules/Loadable/Annotations/Testing/Cxx/vtkMRMLAnnotationDisplayableManagerTest2.cxx Diff File
add - Modules/Loadable/Annotations/VTKWidgets/CMakeLists.txt Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationBidimensionalRepresentation.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationBidimensionalRepresentation.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationBidimensionalWidget.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationBidimensionalWidget.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationGlyphSource2D.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationGlyphSource2D.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIRepresentation.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIRepresentation.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIRepresentation2D.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIRepresentation2D.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIWidget.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIWidget.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIWidget2D.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationROIWidget2D.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerRepresentation.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerRepresentation.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerRepresentation3D.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerRepresentation3D.h Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerWidget.cxx Diff File
mod - Modules/Loadable/Annotations/VTKWidgets/vtkAnnotationRulerWidget.h Diff File

Slicer: 2145-support-for-installing-extension-from-file 5ad91716

2012-12-31 06:54:41

finetjul

Details Diff
ENH: Make qMRMLSceneAnnotationModel columns configurable

Note: Annotation hierarchies have an unclickable visibility icon

Issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@21541 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Libs/MRML/Widgets/qMRMLSceneDisplayableModel_p.h Diff File
mod - Modules/Loadable/Annotations/Logic/vtkSlicerAnnotationModuleLogic.cxx Diff File
mod - Modules/Loadable/Annotations/Logic/vtkSlicerAnnotationModuleLogic.h Diff File
mod - Modules/Loadable/Annotations/Widgets/qMRMLAnnotationTreeView.cxx Diff File
mod - Modules/Loadable/Annotations/Widgets/qMRMLAnnotationTreeView.h Diff File
mod - Modules/Loadable/Annotations/Widgets/qMRMLSceneAnnotationModel.cxx Diff File
mod - Modules/Loadable/Annotations/Widgets/qMRMLSceneAnnotationModel.h Diff File
add - Modules/Loadable/Annotations/Widgets/qMRMLSceneAnnotationModel_p.h Diff File

Slicer: 2145-support-for-installing-extension-from-file f834581b

2013-08-22 21:24:56

naucoin

Details Diff
ENH: Add Markups module providing easy fiducials management.

Based on the Annotations module from Slicer 4.2 and the Fiducials
module from Slicer 3.6, add a new Markups module to provide
some missing functionality into Slicer4:
- one file per fiducial list
- added a unique id and orientation for each fiducial
- save/restore default display settings
- create list with current list display settings
- press p to add a fiducial
- possible to "jump" to a slice using either mouse click or right click menu
- move fids between lists
- split displayable managers into 2d and 3d versions
- pattern for names of new fiducials
- projection on 2d viewers
- add a right click menu option to delete highlighted markups
- support markups selection by mouse and keyboard arrow key
- %N can be used in the markups name format string
- possible to toggle visible/locked/selected state for a list of markups
- uniform scale for both markup text and glyph

Also added a compare view self test.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22317 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Documentation/Markups.dox Diff File
add - Modules/Loadable/Markups/Documentation/Markups.xml Diff File
add - Modules/Loadable/Markups/Logic/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Logic/vtkSlicerMarkupsLogic.cxx Diff File
add - Modules/Loadable/Markups/Logic/vtkSlicerMarkupsLogic.h Diff File
add - Modules/Loadable/Markups/MRML/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsDisplayNode.cxx Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsDisplayNode.h Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsFiducialNode.cxx Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsFiducialNode.h Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsFiducialStorageNode.cxx Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsFiducialStorageNode.h Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsNode.cxx Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsNode.h Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsStorageNode.cxx Diff File
add - Modules/Loadable/Markups/MRML/vtkMRMLMarkupsStorageNode.h Diff File
add - Modules/Loadable/Markups/MRMLDM/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsClickCounter.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsClickCounter.h Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManager2D.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManager2D.h Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManager3D.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManager3D.h Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManagerHelper.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManagerHelper.h Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager2D.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager2D.h Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager3D.cxx Diff File
add - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager3D.h Diff File
add - Modules/Loadable/Markups/Resources/Icons/Markups.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsAddFiducial.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsDelete.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsDeleteAllRows.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsDeleteSelectedRows.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsDeselectAll.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsListLock.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsListUnlock.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsMouseModePlace.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsMoveDown.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsMoveUp.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsSelected.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsSelectedOrUnselected.png Diff File
add - Modules/Loadable/Markups/Resources/Icons/MarkupsUnselected.png Diff File
add - Modules/Loadable/Markups/Resources/UI/qSlicerMarkupsModule.ui Diff File
add - Modules/Loadable/Markups/Resources/UI/qSlicerMarkupsSettingsPanel.ui Diff File
add - Modules/Loadable/Markups/Resources/qSlicerMarkupsModule.qrc Diff File
add - Modules/Loadable/Markups/Testing/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Testing/Cxx/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsDisplayNodeTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsFiducialNodeTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsFiducialStorageNodeTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsFiducialStorageNodeTest2.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsFiducialStorageNodeTest3.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsNodeTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsNodeTest2.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMRMLMarkupsStorageNodeTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkMarkupsAnnotationSceneTest.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkSlicerMarkupsLogicTest1.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkSlicerMarkupsLogicTest2.cxx Diff File
add - Modules/Loadable/Markups/Testing/Cxx/vtkSlicerMarkupsLogicTest3.cxx Diff File
add - Modules/Loadable/Markups/Testing/Data/Input/AnnotationTest/AnnotationFiducialsTest.mrml Diff File
add - Modules/Loadable/Markups/Testing/Data/Input/AnnotationTest/F.acsv Diff File
add - Modules/Loadable/Markups/Testing/Data/Input/AnnotationTest/F_1.acsv Diff File
add - Modules/Loadable/Markups/Testing/Data/Input/slicer3.fcsv Diff File
add - Modules/Loadable/Markups/Testing/Data/Input/slicer4.acsv Diff File
add - Modules/Loadable/Markups/Testing/Python/AddManyMarkupsFiducialTest.py Diff File
add - Modules/Loadable/Markups/Testing/Python/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Testing/Python/MarkupsInCompareViewersSelfTest.py Diff File
add - Modules/Loadable/Markups/Testing/Python/MarkupsSceneViewRestoreTestManyLists.py Diff File
add - Modules/Loadable/Markups/Testing/Python/MarkupsSceneViewRestoreTestSimple.py Diff File
add - Modules/Loadable/Markups/Testing/Python/NeurosurgicalPlanningTutorialMarkupsSelfTest.py Diff File
add - Modules/Loadable/Markups/VTKWidgets/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/VTKWidgets/vtkMarkupsGlyphSource2D.cxx Diff File
add - Modules/Loadable/Markups/VTKWidgets/vtkMarkupsGlyphSource2D.h Diff File
add - Modules/Loadable/Markups/Widgets/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/CMakeLists.txt Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qMRMLMarkupsFiducialProjectionPropertyWidgetPlugin.cxx Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qMRMLMarkupsFiducialProjectionPropertyWidgetPlugin.h Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qSlicerMarkupsModuleWidgetsAbstractPlugin.cxx Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qSlicerMarkupsModuleWidgetsAbstractPlugin.h Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qSlicerMarkupsModuleWidgetsPlugin.cxx Diff File
add - Modules/Loadable/Markups/Widgets/DesignerPlugins/qSlicerMarkupsModuleWidgetsPlugin.h Diff File
add - Modules/Loadable/Markups/Widgets/Resources/UI/qMRMLMarkupsFiducialProjectionPropertyWidget.ui Diff File
add - Modules/Loadable/Markups/Widgets/qMRMLMarkupsFiducialProjectionPropertyWidget.cxx Diff File
add - Modules/Loadable/Markups/Widgets/qMRMLMarkupsFiducialProjectionPropertyWidget.h Diff File
add - Modules/Loadable/Markups/qSlicerMarkupsIO.cxx Diff File
add - Modules/Loadable/Markups/qSlicerMarkupsIO.h Diff File
add - Modules/Loadable/Markups/qSlicerMarkupsModule.cxx Diff File
add - Modules/Loadable/Markups/qSlicerMarkupsModule.h Diff File
add - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.cxx Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.h Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsSettingsPanel.cxx Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsSettingsPanel.h Diff File

Slicer: 2145-support-for-installing-extension-from-file e81463bf

2013-08-22 21:25:00

naucoin

Details Diff
ENH: Add annotation and markup file loading

Add utility methods to allow loading Markup fiducials
from the python console, as well as a backward
compatible Annotation reader

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22318 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Base/Python/slicer/util.py Diff File

Slicer: 2145-support-for-installing-extension-from-file 7ab790ee

2013-08-22 21:25:04

naucoin

Details Diff
ENH: Support passing Markup fiducials to CLIs

Use the coordinate system flag to support RAS or LPS coordinates
for the points.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22319 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Base/QTCLI/qSlicerCLIModuleUIHelper.cxx Diff File
mod - Base/QTCLI/vtkSlicerCLIModuleLogic.cxx Diff File

Slicer: 2145-support-for-installing-extension-from-file c6ab6690

2013-08-22 21:31:16

naucoin

Details Diff
ENH: Deprecating annotation fiducials

Edit properties in the Data module will go to the Markups module for
both Markups and Annotations fiducials, so that annotation fids
can be converted.

Unregister the Annotations fiducials IO, Markups can read .acsv files.
Add a label in the Annotations GUI that fiducials can be found in the Markups module.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22320 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Base/QTGUI/qSlicerApplication.cxx Diff File
mod - Modules/Loadable/Annotations/Resources/UI/qSlicerAnnotationModuleWidget.ui Diff File
mod - Modules/Loadable/Annotations/qSlicerAnnotationsModule.cxx Diff File

Slicer: 2145-support-for-installing-extension-from-file 4a98f205

2013-08-22 21:31:19

naucoin

Details Diff
ENH: Replace Annotations with Markups in default favorite modules list.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22321 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Base/QTGUI/qSlicerSettingsModulesPanel.cxx Diff File

Slicer: 2145-support-for-installing-extension-from-file 557f5686

2013-08-22 21:31:24

naucoin

Details Diff
ENH: Update TractographyInteractiveSeeding module to support Markups

Allow usage of Markups fiducials or Annotations fiducials.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22322 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/TractographyInteractiveSeeding/Logic/CMakeLists.txt Diff File
mod - Modules/Loadable/TractographyInteractiveSeeding/Logic/vtkSlicerTractographyInteractiveSeedingLogic.cxx Diff File
mod - Modules/Loadable/TractographyInteractiveSeeding/Resources/UI/qSlicerTractographyInteractiveSeedingModuleWidget.ui Diff File
mod - Modules/Loadable/TractographyInteractiveSeeding/qSlicerTractographyInteractiveSeedingModuleWidget.cxx Diff File

Slicer: 2145-support-for-installing-extension-from-file fdf40d7a

2013-08-22 21:31:27

naucoin

Details Diff
BUG: Update Endoscopy module to support Markups

Added a backward compatibility call of GetNumberOfFiducials to the
Markups fiducial node.

See issue 0002606

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22323 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Scripted/Endoscopy/Endoscopy.py Diff File

Issue History

Date Modified Username Field Change
2012-10-03 10:43 finetjul New Issue
2012-10-03 10:43 finetjul Status new => assigned
2012-10-03 10:43 finetjul Assigned To => nicole
2012-10-03 10:49 finetjul Additional Information Updated
2012-10-03 11:35 finetjul Additional Information Updated
2012-10-03 13:00 finetjul Additional Information Updated
2012-10-03 15:37 finetjul Relationship added related to 0002608
2012-10-04 07:37 finetjul Additional Information Updated
2012-10-08 13:52 finetjul Additional Information Updated
2012-10-08 14:04 finetjul Additional Information Updated
2012-10-08 14:23 finetjul Note Added: 0006439
2012-10-08 14:24 finetjul Additional Information Updated
2012-10-08 14:24 finetjul Note Edited: 0006439
2012-10-09 08:16 finetjul Additional Information Updated
2012-10-09 08:16 finetjul Relationship added related to 0002620
2012-10-09 19:02 finetjul Additional Information Updated
2012-10-10 13:30 finetjul Additional Information Updated
2012-10-11 05:06 finetjul Additional Information Updated
2012-10-11 05:14 finetjul Additional Information Updated
2012-10-11 15:09 finetjul Additional Information Updated
2012-10-16 08:34 finetjul Additional Information Updated
2012-10-27 17:20 finetjul Additional Information Updated
2012-10-29 10:52 jcfr Target Version => Slicer 4.3.0
2012-10-29 11:00 jcfr Relationship added related to 0002701
2013-02-15 05:52 nicole Note Added: 0007939
2013-02-15 05:52 nicole Relationship added child of 0002955
2013-07-09 09:46 nicole Note Added: 0008966
2013-08-22 17:41 jcfr Note Added: 0009558
2013-08-22 17:42 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-07-29 12:15 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2015-10-28 13:57 nicole Target Version Slicer 4.5.0-1 => Slicer 4.5.1
2016-10-12 02:31 jcfr Target Version Slicer 4.5.1 => Slicer 4.7.0
2017-06-07 23:27 finetjul Changeset attached => Slicer 1683-launcher-with-output 02e92b72
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file fdf40d7a
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file 557f5686
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file 4a98f205
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file c6ab6690
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file 7ab790ee
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file e81463bf
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file f834581b
2017-06-07 23:27 finetjul Changeset attached => Slicer 2145-support-for-installing-extension-from-file 5ad91716
2017-09-27 12:00 lassoan Target Version Slicer 4.7.0 => backlog
2017-09-27 12:00 lassoan Note Added: 0015172
2017-09-27 12:31 lassoan Relationship deleted child of 0002955